Subject: Re: bug#25270: eshell -- programmatically send input -- feature request

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 13 May 2022 16:02:51 +0200

Keith David Bershatsky <[email-masked]> writes:

> As far as I am aware, users of eshell have been limited to sending
> input programmatically by inserting the command into the eshell buffer
> (at the command prompt) and then executing `eshell-send-input`.  Some
> users (like myself) may feel that such a solution is lo-tech -- i.e.,
> not very eloquent. 

[...]

> The following is an example of how this new feature might be implemented:
>
> SAMPLE USAGE:  (eshell-send-input nil nil nil "ls -la /")
>
> (require 'eshell)
>
> (defun eshell-send-input (&optional use-region queue-p no-newline input-string-a)

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I think this makes sense, but I'm not very familiar with eshell
internals, so I've added Jim to the CCs; perhaps he has some comments.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no